whois (5.6.6) unstable; urgency=medium

  * Added the .mc TLD server.
  * Updated the .ps TLD server.
  * Removed the .info, .mobi, .travel and .فلسطين (.xn--ygbi2ammx,
    Palestinian Territory) TLD servers.
  * Removed 3 new gTLDs which are no longer active.
  * mkpasswd: added support the Chinese SM3-based hashing algorithms.

 -- Marco d'Itri <md@linux.it>  Mon, 16 Feb 2026 02:46:51 +0100

whois (5.6.5) unstable; urgency=medium

  * Updated the .co TLD server.
  * Added some large KRNIC networks.
  * Updated the second level .uk TLD servers.
  * Removed the .pro TLD server.
  * Removed 1 new gTLD which is no longer active.

 -- Marco d'Itri <md@linux.it>  Mon, 13 Oct 2025 03:37:20 +0200

whois (5.6.4) unstable; urgency=medium

  * Updated the .cm and .to TLD servers.

 -- Marco d'Itri <md@linux.it>  Sat, 02 Aug 2025 01:13:07 +0200

whois (5.6.3) unstable; urgency=medium

  * Added the .sr and .мон (.xn--l1acc, Mongolia) TLD servers.
  * Use readpassphrase(3) on OpenBSD and FreeBSD.

 -- Marco d'Itri <md@linux.it>  Thu, 17 Jul 2025 05:15:53 +0200

whois (5.6.2) unstable; urgency=medium

  * Updated the .post and .in (and related IDN TLDs) TLD servers.
  * Removed 1 new gTLDs which is no longer active.
  * Build-Depend on libcrypt-dev. (Closes: #1106977)

 -- Marco d'Itri <md@linux.it>  Fri, 06 Jun 2025 18:22:04 +0200

whois (5.6.1) unstable; urgency=medium

  * Added the .pg TLD server.
  * Updated the .gov, .mu, .中国 (.xn--fiqs8s) and .中國 (.xn--fiqz9s)
    TLD servers.
  * Removed the .jobs TLD server.
  * Added the encodings for whois.afrinic.net and whois.apnic.net.
  * Enabled the UTF-8 encoding for whois.ripe.net.
  * Use the last ReferralServer returned by the ARIN server instead of
    the first, because we want to follow the referral for the most
    specific record returned.
  * Make sure to avoid trivial referral loops.

 -- Marco d'Itri <md@linux.it>  Sat, 17 May 2025 01:30:06 +0200

whois (5.6.0) unstable; urgency=medium

  * Fixed the mangling of RADB queries with commands.
  * Implemented the parsing of more variants of ARIN's ReferralServer
    field.
  * Implemented following the APNIC pseudo-referrals.
  * Added the .ad and .za TLD servers.
  * Updated the .ao, .bz, .gi, .gq, .gr, .gw, .lc, .md, .pn, .pr, .uy, .vc,
    .info, .mobi, .ελ (.xn--qxam, Greece) and .გე (.xn--node, Georgia) TLD
    servers.
  * Added 2410::/12.
  * Removed 7 new gTLDs which are no longer active.
  * Cleaned up the markup of the man pages, courtesy of Bjarni Ingi
    Gislason. (Closes: #1036826, #1094208)

 -- Marco d'Itri <md@linux.it>  Mon, 05 May 2025 02:57:37 +0200

whois (5.5.23) unstable; urgency=medium

  * Updated the .sc, .新加坡 (.xn--yfro4i67o, Singapore) and .சிங்கப்பூர்
    (.xn--clchc0ea0b2g2a9gcd, Singapore) TLD servers.

 -- Marco d'Itri <md@linux.it>  Sat, 04 May 2024 03:13:22 +0200

whois (5.5.22) unstable; urgency=medium

  * Fixed a segmentation fault with --no-recursion.
  * Updated the .bm and .vi TLD servers.
  * Removed 4 new gTLDs which are no longer active.

 -- Marco d'Itri <md@linux.it>  Mon, 01 Apr 2024 20:14:41 +0200

whois (5.5.21) unstable; urgency=medium

  * Updated the .cv and .sd TLD servers.
  * Remove 4 new gTLDs which are no longer active.

 -- Marco d'Itri <md@linux.it>  Sat, 24 Feb 2024 17:22:22 +0100

whois (5.5.20) unstable; urgency=medium

  * Added the .gn TLD server.
  * Removed 6 new gTLDs which are no longer active.
  * Enabled getopt_long(3) support on Solaris.

 -- Marco d'Itri <md@linux.it>  Fri, 10 Nov 2023 15:26:02 +0100

whois (5.5.19) unstable; urgency=medium

  * Fixed english support for Japanese queries to not add again the /e
    argument if it had already been provided by the user. (Closes: #1050171)
  * Added the .ye and .বাংলা (.xn--54b7fta0cc, Bangladesh) TLD servers.
  * Updated the .ba, .bb, .dk, .es, .gt, .jo, .ml, .mo, .pa, .pn, .sv,
    .uy, .ﺍﻻﺭﺪﻧ (.xn--mgbayh7gpa, Jordan) and .澳門 (.xn--mix891f, Macao)
    TLD servers.
  * Upgraded the TLD URLs to HTTPS whenever possible.
  * Updated the charset for whois.jprs.jp.
  * Removed 3 new gTLDs which are no longer active.
  * Removed support for the obsolete as32 dot notation.

 -- Marco d'Itri <md@linux.it>  Sun, 08 Oct 2023 22:58:33 +0200

whois (5.5.18) unstable; urgency=medium

  [ Marco d'Itri ]
  * Updated the .ga TLD server. (Closes: #1037288)
  * Added new recovered IPv4 allocations.
  * Removed the delegation of 43.0.0.0/8 to JPNIC.
  * Removed 12 new gTLDs which are no longer active.
  * Improved the man page source, courtesy of Bjarni Ingi Gislason.
    (Closes: #1040613)

  [ Robert Scheck ]
  * Added the .edu.za SLD server.
  * Updated the .alt.za SLD server.
  * Added the -ru and -su NIC handles servers.

 -- Marco d'Itri <md@linux.it>  Sat, 22 Jul 2023 17:56:56 +0200

whois (5.5.17) unstable; urgency=medium

  [ Robert Scheck ]
  * Added the .cd TLD server.
  * Updated the -kg NIC handles server name.

  [ Marco d'Itri ]
  * Removed 2 new gTLDs which are no longer active.

 -- Marco d'Itri <md@linux.it>  Wed, 03 May 2023 14:24:37 +0200

whois (5.5.16) unstable; urgency=medium

  * Add bash completion support, courtesy of Ville Skyttä.
  * Updated the .tr TLD server.
  * Removed support for -metu NIC handles.

 -- Marco d'Itri <md@linux.it>  Tue, 28 Feb 2023 00:58:22 +0100

whois (5.5.15) unstable; urgency=medium

  * Updated the .bd, .nz and .tv TLD servers.
  * Added the .llyw.cymru, .gov.scot and .gov.wales SLD servers.
  * Updated the .ac.uk and .gov.uk SLD servers.
  * Recursion has been enabled for whois.nic.tv.
  * Updated the list of new gTLDs with four generic TLDs assigned in
    October 2013 which were missing due to a bug.
  * Removed 4 new gTLDs which are no longer active.
  * Added the Georgian translation, contributed by Temuri Doghonadze.
  * Updated the Finnish translation, contributed by Lauri Nurmi.

 -- Marco d'Itri <md@linux.it>  Wed, 28 Dec 2022 20:44:11 +0100

whois (5.5.14) unstable; urgency=medium

  * Added the .bf and .sd TLD servers.
  * Removed the .gu TLD server.
  * Updated the .dm, .fj, .mt and .pk TLD servers.
  * Updated the charset for whois.nic.tr.
  * Updated the list of new gTLDs.
  * Removed whois.nic.fr from the list of RIPE-like servers, because it
    is not one anymore. (Closes: #1021110)
  * Renamed whois.arnes.si to whois.register.si in the list of RIPE-like
    servers.
  * Added the hiding string for whois.auda.org.au.
  * Fixed uclibc builds, because uclibc does not have NLS support.

 -- Marco d'Itri <md@linux.it>  Sun, 16 Oct 2022 22:16:34 +0200

whois (5.5.13) unstable; urgency=medium

  * Added the .sd TLD server.
  * Updated the list of new gTLDs.
  * Added the Turkish translation, contributed by Oğuz Ersen.

 -- Marco d'Itri <md@linux.it>  Fri, 08 Apr 2022 01:08:55 +0200

whois (5.5.12) unstable; urgency=medium

  * Updated the .pro TLD server, which was totally broken.
  * Fixed the detection of Japanese locales using $LC_MESSAGES.
  * Implemented providing partial salt strings to mkpasswd.
  * Removed 2 new gTLDs which are no longer active.
  * Updated one or more translations. (Closes: #1003597)
  * Enabled full hardening in debian/rules.

 -- Marco d'Itri <md@linux.it>  Wed, 23 Feb 2022 01:03:11 +0100

whois (5.5.11) unstable; urgency=medium

  * Implemented a --no-recursion command line option to disable recursion
    from registrar to registry servers.
  * Updated the .pro, .vu and .xxx TLD servers.
  * Updated the list of new gTLDs.
  * Removed 7 new gTLDs which are no longer active.
  * Updated make_version_h.pl to support Ubuntu no-change uploads,
    contributed by Matthias Klose. (Closes: #995873)

 -- Marco d'Itri <md@linux.it>  Mon, 03 Jan 2022 18:18:36 +0100

whois (5.5.10) unstable; urgency=medium

  * Updated the .lb TLD server.
  * Removed 5 new gTLDs which are no longer active.
  * Updated the charset for whois.lacnic.net, whois.ax, whois.cira.ca
    and whois.dns.pt.
  * Fixed reporting an older version number when using --version.

 -- Marco d'Itri <md@linux.it>  Sun, 06 Jun 2021 19:54:13 +0200

whois (5.5.9) unstable; urgency=medium

  * Updated the .ga TLD server.
  * Removed the .cd and cf TLD servers.
  * Removed 72 new gTLDs which are no longer active.

 -- Marco d'Itri <md@linux.it>  Sun, 28 Mar 2021 00:38:20 +0100

whois (5.5.8) unstable; urgency=medium

  * Added the .xn--4dbrk0ce (.ישראל, Israel) TLD server.
  * Updated the .ie and .az TLD servers.
  * Updated the list of new gTLDs.

 -- Marco d'Itri <md@linux.it>  Tue, 16 Feb 2021 01:53:57 +0100

whois (5.5.7) unstable; urgency=medium

  * Implemented support for CIDR queries to whois.arin.net.
    The old behaviour caused the server to return no results, now when
    querying for ip/length the server returns a result if there is an
    exact match.
  * Added the .ao, .bh, .mm, and .xn--pgbs0dh (.تونس, Tunisia) TLD servers.
  * Added some .ru and .su SLD servers.
  * Updated the .th and .xn--o3cw4h TLD servers.
  * Updated the .cy, .jo, .lb, .np, .xn--mgbayh7gpa and .xn--qxam TLD URLs.
  * Updated the charset for whois.ati.tn.
  * Updated the list of new gTLDs.

 -- Marco d'Itri <md@linux.it>  Sat, 03 Oct 2020 17:43:06 +0200

whois (5.5.6) unstable; urgency=medium

  * Depend on pkg-config, or else the package will be built without libidn
    and libxcrypt. (Closes: #950140)
  * Added the .xn--q7ce6a (.ລາວ, Lao) TLD server.
  * Added the .xn--pgbs0dh (.البحرين, Bahrain) domain.

 -- Marco d'Itri <md@linux.it>  Sun, 16 Feb 2020 10:25:51 +0100

whois (5.5.5) unstable; urgency=medium

  * Fixed the hide string for .sx, which broke many others.
  * Fixed cross-compilation. (Closes: #947971)

 -- Marco d'Itri <md@linux.it>  Thu, 23 Jan 2020 09:55:48 +0100

whois (5.5.4) unstable; urgency=medium

  * Updated the .vu TLD server.
  * Updated the list of new gTLDs.
  * Added the charset for whois.ripe.net.
  * Added support for the referrals in answers from whois.registry.in.
  * Implemented support for passing raw $salts$.
  * Fixed and updated many hiding string.
  * Cleaned up the text and typesetting of the man pages. (Closes: #945622)

 -- Marco d'Itri <md@linux.it>  Tue, 31 Dec 2019 03:04:15 +0100

whois (5.5.3) unstable; urgency=medium

  * Added the new 2630:0000::/12 IPv6 assignment to ARIN.
  * Updated the .xxx TLD server.
  * Updated the list of new gTLDs.
  * Converted the Debian packaging to dh.

 -- Marco d'Itri <md@linux.it>  Sun, 17 Nov 2019 21:33:50 +0100

whois (5.5.2) unstable; urgency=medium

  * Added the .xn--qxa6a (.ευ, European Union, Greek) TLD server.
  * Updated the .td TLD server.
  * Updated one or more translations.

 -- Marco d'Itri <md@linux.it>  Wed, 02 Oct 2019 23:44:49 +0200

whois (5.5.1) unstable; urgency=medium

  * Updated the .ge TLD server.
  * Updated one or more translations.

 -- Marco d'Itri <md@linux.it>  Sun, 18 Aug 2019 19:47:55 +0200

whois (5.5.0) unstable; urgency=medium

  * Implemented the -I option to query whois.iana.org and use its referrals.
    (Closes: #774603)
  * Updated one or more translations. (Closes: #931336, #931244)
  * Automatically generate the version string sent to servers because I
    kept forgetting to update it with new releases.
  * Updated the .zm TLD server.
  * Added new recovered IPv4 allocations.

 -- Marco d'Itri <md@linux.it>  Fri, 19 Jul 2019 11:31:42 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog whois`.
